Loading...
Searching...
No Matches
BALL::VIEW::AddSurfaceModel Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/surfaceModel.h>`

Inheritance diagram for BALL::VIEW::AddSurfaceModel:

## Public Member Functions

Constructors and Destructor
| AddSurfaceModel ()
| Default Constructor.
| AddSurfaceModel (const AddSurfaceModel &add_surface_model)
| Copy constructor.
virtual | ~AddSurfaceModel ()
| Destructor.
virtual void | clear ()
virtual void | clearComposites ()
Accessors
SurfaceProcessor::SurfaceType | getType () const
| Return the surface type (SES/SAS).
void | setType (SurfaceProcessor::SurfaceType type)
| Set the surface type (SES/SAS).
Processor specific methods
virtual Processor::Result | operator() (Composite &composite)
Public Member Functions inherited from BALL::VIEW::ModelProcessor
| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual bool | isValid () const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## debuggers and diagnostics

virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
void | setProbeRadius (float radius)
float | getProbeRadius () const
virtual bool | createGeometricObjects ()

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
Protected Attributes inherited from BALL::VIEW::ModelProcessor
GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Detailed Description

AddSurfaceModel class. The class AddSurfaceModel is a model processor that creates a surface model of the given Composite object. A Mesh object is created and filled with the method SurfaceProcessor::getSurface. The surface can be either a solvent excluded surface (SES, default) or the solvent accesible surface (SAS). See SurfaceProcessor for details.

See also
  Mesh
  SurfaceProcessor

Definition at line 34 of file surfaceModel.h.

## Constructor & Destructor Documentation

## AddSurfaceModel() [1/2]

BALL::VIEW::AddSurfaceModel::AddSurfaceModel | ( |  | ) |

Default Constructor.

## AddSurfaceModel() [2/2]

BALL::VIEW::AddSurfaceModel::AddSurfaceModel | ( | const AddSurfaceModel & | add_surface_model | ) |

Copy constructor.

## ~AddSurfaceModel()

virtual BALL::VIEW::AddSurfaceModel::~AddSurfaceModel | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::AddSurfaceModel::clear | ( |  | ) |

virtual

Explicit default initialization. Calls ModelProcessor::clear.

Reimplemented from BALL::VIEW::ModelProcessor.

## clearComposites()

virtual void BALL::VIEW::AddSurfaceModel::clearComposites | ( |  | ) |

virtual

Needed in derived classes, which store references to the Composite instances they worked on. Here only needed for a common interface and therefore empty.

Reimplemented from BALL::VIEW::ModelProcessor.

## createGeometricObjects()

virtual bool BALL::VIEW::AddSurfaceModel::createGeometricObjects | ( |  | ) |

virtual

Method to create geometric objects. This method is called in Representation::update() after all operator() was called for all Composites. To be overloaded in derived classes

Reimplemented from BALL::VIEW::ModelProcessor.

## dump()

virtual void BALL::VIEW::AddSurfaceModel::dump | ( | std::ostream & | s = std::cout,
|  | Size | depth = 0 ) const

virtual

Internal value dump. Dump the current state to the output ostream with a given dumping depth. Calls ModelProcessor::dump.

Parameters

  s | output stream where to output the state
  depth | the dumping depth

Reimplemented from BALL::VIEW::ModelProcessor.

## getProbeRadius()

float BALL::VIEW::AddSurfaceModel::getProbeRadius | ( |  | ) | const

inline

Definition at line 106 of file surfaceModel.h.

## getType()

SurfaceProcessor::SurfaceType BALL::VIEW::AddSurfaceModel::getType | ( |  | ) | const

inline

Return the surface type (SES/SAS).

Definition at line 69 of file surfaceModel.h.

## operator()()

virtual Processor::Result BALL::VIEW::AddSurfaceModel::operator() | ( | Composite & | composite | ) |

virtual

Operator method. This method stores all Composite objects. In the finish() method for all stored start composite a Mesh object will be created. The resulting Representation is named after the first processed Composite.

Parameters

  composite | the Composite object that will be processed

Returns
  Processor::Result the result

Reimplemented from BALL::UnaryProcessor< Composite >.

## setProbeRadius()

void BALL::VIEW::AddSurfaceModel::setProbeRadius | ( | float | radius | ) |

inline

Definition at line 102 of file surfaceModel.h.

## setType()

void BALL::VIEW::AddSurfaceModel::setType | ( | SurfaceProcessor::SurfaceType | type | ) |

inline

Set the surface type (SES/SAS).

Definition at line 72 of file surfaceModel.h.